Package tigase.xmpp.impl.roster

## Enum RosterAbstract.SubscriptionType

- java.lang.Object
- - java.lang.Enum<RosterAbstract.SubscriptionType>
  - - tigase.xmpp.impl.roster.RosterAbstract.SubscriptionType

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<RosterAbstract.SubscriptionType>`
  Enclosing class:
    RosterAbstract

      public static enum RosterAbstract.SubscriptionType
      extends java.lang.Enum<RosterAbstract.SubscriptionType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `both` |
    `from` |
    `from_pending_out` |
    `none` |
    `none_pending_in` |
    `none_pending_out` |
    `none_pending_out_in` |
    `none_pending_out_pre_approved` |
    `none_pre_approved` |
    `remove` |
    `to` |
    `to_pending_in` |
    `to_pre_approved` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.Map<java.lang.String,​java.lang.String>` | `getSubscriptionAttr()` |
    `static RosterAbstract.SubscriptionType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static RosterAbstract.SubscriptionType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### none

          public static final RosterAbstract.SubscriptionType none

    - #### none_pending_out

          public static final RosterAbstract.SubscriptionType none_pending_out

    - #### none_pending_in

          public static final RosterAbstract.SubscriptionType none_pending_in

    - #### none_pending_out_in

          public static final RosterAbstract.SubscriptionType none_pending_out_in

    - #### to

          public static final RosterAbstract.SubscriptionType to

    - #### to_pending_in

          public static final RosterAbstract.SubscriptionType to_pending_in

    - #### from

          public static final RosterAbstract.SubscriptionType from

    - #### from_pending_out

          public static final RosterAbstract.SubscriptionType from_pending_out

    - #### both

          public static final RosterAbstract.SubscriptionType both

    - #### remove

          public static final RosterAbstract.SubscriptionType remove

    - #### none_pre_approved

          public static final RosterAbstract.SubscriptionType none_pre_approved

    - #### none_pending_out_pre_approved

          public static final RosterAbstract.SubscriptionType none_pending_out_pre_approved

    - #### to_pre_approved

          public static final RosterAbstract.SubscriptionType to_pre_approved

  - ### Method Detail

    - #### values

          public static RosterAbstract.SubscriptionType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RosterAbstract.SubscriptionType c : RosterAbstract.SubscriptionType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RosterAbstract.SubscriptionType valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getSubscriptionAttr

          public java.util.Map<java.lang.String,​java.lang.String> getSubscriptionAttr()